Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 3421)
+++ plugins/blowupConfig/index.php	(revision 3709)
@@ -227,239 +218,236 @@
 <?php
 echo dcPage::breadcrumb(
-	array(
-		html::escapeHTML($core->blog->name) => '',
-		__('Blog appearance') => $core->adminurl->get('admin.blog.theme'),
-		__('Blowup configuration') => ''
-	)).dcPage::notices();
-
-echo
-'<p><a class="back" href="'.$core->adminurl->get('admin.blog.theme').'">'.__('Back to Blog appearance').'</a></p>';
-
+    array(
+        html::escapeHTML($core->blog->name) => '',
+        __('Blog appearance')               => $core->adminurl->get('admin.blog.theme'),
+        __('Blowup configuration')          => ''
+    )) . dcPage::notices();
+
+echo
+'<p><a class="back" href="' . $core->adminurl->get('admin.blog.theme') . '">' . __('Back to Blog appearance') . '</a></p>';
 
 if (!$can_write_images) {
-	dcPage::message(__('For the following reasons, images cannot be created. You won\'t be able to change some background properties.').
-		$notices,false,true);
-}
-
-echo '<form id="theme_config" action="'.$p_url.'" method="post" enctype="multipart/form-data">';
-
-echo '<div class="fieldset"><h3>'.__('Customization').'</h3>'.
-'<h4>'.__('General').'</h4>';
+    dcPage::message(__('For the following reasons, images cannot be created. You won\'t be able to change some background properties.') .
+        $notices, false, true);
+}
+
+echo '<form id="theme_config" action="' . $p_url . '" method="post" enctype="multipart/form-data">';
+
+echo '<div class="fieldset"><h3>' . __('Customization') . '</h3>' .
+'<h4>' . __('General') . '</h4>';
 
 if ($can_write_images) {
-	echo
-	'<p class="field"><label for="body_bg_c">'.__('Background color:').'</label> '.
-	form::field('body_bg_c',7,7,$blowup_user['body_bg_c'],'colorpicker').'</p>'.
-
-	'<p class="field"><label for="body_bg_g">'.__('Background color fill:').'</label> '.
-	form::combo('body_bg_g',$gradient_types,$blowup_user['body_bg_g']).'</p>';
-}
-
-echo
-'<p class="field"><label for="body_txt_f">'.__('Main text font:').'</label> '.
-form::combo('body_txt_f',blowupConfig::fontsList(),$blowup_user['body_txt_f']).'</p>'.
-
-'<p class="field"><label for="body_txt_s">'.__('Main text font size:').'</label> '.
-form::field('body_txt_s',7,7,$blowup_user['body_txt_s']).'</p>'.
-
-'<p class="field"><label for="body_txt_c">'.__('Main text color:').'</label> '.
-form::field('body_txt_c',7,7,$blowup_user['body_txt_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="body_line_height">'.__('Text line height:').'</label> '.
-form::field('body_line_height',7,7,$blowup_user['body_line_height']).'</p>'.
-
-'<h4 class="border-top">'.__('Links').'</h4>'.
-'<p class="field"><label for="body_link_c">'.__('Links color:').'</label> '.
-form::field('body_link_c',7,7,$blowup_user['body_link_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="body_link_v_c">'.__('Visited links color:').'</label> '.
-form::field('body_link_v_c',7,7,$blowup_user['body_link_v_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="body_link_f_c">'.__('Focus links color:').'</label> '.
-form::field('body_link_f_c',7,7,$blowup_user['body_link_f_c'],'colorpicker').'</p>'.
-
-'<h4 class="border-top">'.__('Page top').'</h4>';
+    echo
+    '<p class="field"><label for="body_bg_c">' . __('Background color:') . '</label> ' .
+    form::field('body_bg_c', 7, 7, $blowup_user['body_bg_c'], 'colorpicker') . '</p>' .
+
+    '<p class="field"><label for="body_bg_g">' . __('Background color fill:') . '</label> ' .
+    form::combo('body_bg_g', $gradient_types, $blowup_user['body_bg_g']) . '</p>';
+}
+
+echo
+'<p class="field"><label for="body_txt_f">' . __('Main text font:') . '</label> ' .
+form::combo('body_txt_f', blowupConfig::fontsList(), $blowup_user['body_txt_f']) . '</p>' .
+
+'<p class="field"><label for="body_txt_s">' . __('Main text font size:') . '</label> ' .
+form::field('body_txt_s', 7, 7, $blowup_user['body_txt_s']) . '</p>' .
+
+'<p class="field"><label for="body_txt_c">' . __('Main text color:') . '</label> ' .
+form::field('body_txt_c', 7, 7, $blowup_user['body_txt_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="body_line_height">' . __('Text line height:') . '</label> ' .
+form::field('body_line_height', 7, 7, $blowup_user['body_line_height']) . '</p>' .
+
+'<h4 class="border-top">' . __('Links') . '</h4>' .
+'<p class="field"><label for="body_link_c">' . __('Links color:') . '</label> ' .
+form::field('body_link_c', 7, 7, $blowup_user['body_link_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="body_link_v_c">' . __('Visited links color:') . '</label> ' .
+form::field('body_link_v_c', 7, 7, $blowup_user['body_link_v_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="body_link_f_c">' . __('Focus links color:') . '</label> ' .
+form::field('body_link_f_c', 7, 7, $blowup_user['body_link_f_c'], 'colorpicker') . '</p>' .
+
+'<h4 class="border-top">' . __('Page top') . '</h4>';
 
 if ($can_write_images) {
-	echo
-	'<p class="field"><label for="prelude_c">'.__('Prelude color:').'</label> '.
-	form::field('prelude_c',7,7,$blowup_user['prelude_c'],'colorpicker').'</p>';
-}
-
-echo
-'<p class="field"><label for="blog_title_hide">'.__('Hide main title').'</label> '.
-form::checkbox('blog_title_hide',1,$blowup_user['blog_title_hide']).'</p>'.
-
-'<p class="field"><label for="blog_title_f">'.__('Main title font:').'</label> '.
-form::combo('blog_title_f',blowupConfig::fontsList(),$blowup_user['blog_title_f']).'</p>'.
-
-'<p class="field"><label for="blog_title_s">'.__('Main title font size:').'</label> '.
-form::field('blog_title_s',7,7,$blowup_user['blog_title_s']).'</p>'.
-
-'<p class="field"><label for="blog_title_c">'.__('Main title color:').'</label> '.
-form::field('blog_title_c',7,7,$blowup_user['blog_title_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="blog_title_a">'.__('Main title alignment:').'</label> '.
-form::combo('blog_title_a',array(__('center')=>'center',__('left')=>'left',__('right')=>'right'),$blowup_user['blog_title_a']).'</p>'.
-
-'<p class="field"><label for="blog_title_p">'.__('Main title position (x:y)').'</label> '.
-form::field('blog_title_p',7,7,$blowup_user['blog_title_p']).'</p>';
+    echo
+    '<p class="field"><label for="prelude_c">' . __('Prelude color:') . '</label> ' .
+    form::field('prelude_c', 7, 7, $blowup_user['prelude_c'], 'colorpicker') . '</p>';
+}
+
+echo
+'<p class="field"><label for="blog_title_hide">' . __('Hide main title') . '</label> ' .
+form::checkbox('blog_title_hide', 1, $blowup_user['blog_title_hide']) . '</p>' .
+
+'<p class="field"><label for="blog_title_f">' . __('Main title font:') . '</label> ' .
+form::combo('blog_title_f', blowupConfig::fontsList(), $blowup_user['blog_title_f']) . '</p>' .
+
+'<p class="field"><label for="blog_title_s">' . __('Main title font size:') . '</label> ' .
+form::field('blog_title_s', 7, 7, $blowup_user['blog_title_s']) . '</p>' .
+
+'<p class="field"><label for="blog_title_c">' . __('Main title color:') . '</label> ' .
+form::field('blog_title_c', 7, 7, $blowup_user['blog_title_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="blog_title_a">' . __('Main title alignment:') . '</label> ' .
+form::combo('blog_title_a', array(__('center') => 'center', __('left') => 'left', __('right') => 'right'), $blowup_user['blog_title_a']) . '</p>' .
+
+'<p class="field"><label for="blog_title_p">' . __('Main title position (x:y)') . '</label> ' .
+form::field('blog_title_p', 7, 7, $blowup_user['blog_title_p']) . '</p>';
 
 if ($can_write_images) {
-	if ($blowup_user['top_image'] == 'custom' && $blowup_user['uploaded']) {
-		$preview_image = http::concatURL($core->blog->url,blowupConfig::imagesURL().'/page-t.png');
-	} else {
-		$preview_image = dcPage::getPF('blowupConfig/alpha-img/page-t/'.$blowup_user['top_image'].'.png');
-	}
-
-	echo
-	'<h5 class="pretty-title">'.__('Top image').'</h5>'.
-	'<p class="field"><label for="top_image">'.__('Top image').'</label> '.
-	form::combo('top_image',$top_images,($blowup_user['top_image'] ?: 'default')).'</p>'.
-	'<p>'.__('Choose "Custom..." to upload your own image.').'</p>'.
-
-	'<p id="uploader"><label for="upfile">'.__('Add your image:').'</label> '.
-	' ('.sprintf(__('JPEG or PNG file, 800 pixels wide, maximum size %s'),files::size(DC_MAX_UPLOAD_SIZE)).')'.
-	'<input type="file" name="upfile" id="upfile" size="35" />'.
-	'</p>'.
-
-	'<h5>'.__('Preview').'</h5>'.
-	'<div class="grid" style="width:800px;border:1px solid #ccc;">'.
-	'<img style="display:block;" src="'.$preview_image.'" alt="" id="image-preview" />'.
-	'</div>';
-}
-
-echo
-'<h4 class="border-top">'.__('Sidebar').'</h4>'.
-'<p class="field"><label for="sidebar_position">'.__('Sidebar position:').'</label> '.
-form::combo('sidebar_position',array(__('right')=>'right',__('left')=>'left'),$blowup_user['sidebar_position']).'</p>'.
-
-'<p class="field"><label for="sidebar_text_f">'.__('Sidebar text font:').'</label> '.
-form::combo('sidebar_text_f',blowupConfig::fontsList(),$blowup_user['sidebar_text_f']).'</p>'.
-
-'<p class="field"><label for="sidebar_text_s">'.__('Sidebar text font size:').'</label> '.
-form::field('sidebar_text_s',7,7,$blowup_user['sidebar_text_s']).'</p>'.
-
-'<p class="field"><label for="sidebar_text_c">'.__('Sidebar text color:').'</label> '.
-form::field('sidebar_text_c',7,7,$blowup_user['sidebar_text_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="sidebar_title_f">'.__('Sidebar titles font:').'</label> '.
-form::combo('sidebar_title_f',blowupConfig::fontsList(),$blowup_user['sidebar_title_f']).'</p>'.
-
-'<p class="field"><label for="sidebar_title_s">'.__('Sidebar titles font size:').'</label> '.
-form::field('sidebar_title_s',7,7,$blowup_user['sidebar_title_s']).'</p>'.
-
-'<p class="field"><label for="sidebar_title_c">'.__('Sidebar titles color:').'</label> '.
-form::field('sidebar_title_c',7,7,$blowup_user['sidebar_title_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="sidebar_title2_f">'.__('Sidebar 2nd level titles font:').'</label> '.
-form::combo('sidebar_title2_f',blowupConfig::fontsList(),$blowup_user['sidebar_title2_f']).'</p>'.
-
-'<p class="field"><label for="sidebar_title2_s">'.__('Sidebar 2nd level titles font size:').'</label> '.
-form::field('sidebar_title2_s',7,7,$blowup_user['sidebar_title2_s']).'</p>'.
-
-'<p class="field"><label for="sidebar_title2_c">'.__('Sidebar 2nd level titles color:').'</label> '.
-form::field('sidebar_title2_c',7,7,$blowup_user['sidebar_title2_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="sidebar_line_c">'.__('Sidebar lines color:').'</label> '.
-form::field('sidebar_line_c',7,7,$blowup_user['sidebar_line_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="sidebar_link_c">'.__('Sidebar links color:').'</label> '.
-form::field('sidebar_link_c',7,7,$blowup_user['sidebar_link_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="sidebar_link_v_c">'.__('Sidebar visited links color:').'</label> '.
-form::field('sidebar_link_v_c',7,7,$blowup_user['sidebar_link_v_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="sidebar_link_f_c">'.__('Sidebar focus links color:').'</label> '.
-form::field('sidebar_link_f_c',7,7,$blowup_user['sidebar_link_f_c'],'colorpicker').'</p>'.
-
-'<h4 class="border-top">'.__('Entries').'</h4>'.
-'<p class="field"><label for="date_title_f">'.__('Date title font:').'</label> '.
-form::combo('date_title_f',blowupConfig::fontsList(),$blowup_user['date_title_f']).'</p>'.
-
-'<p class="field"><label for="date_title_s">'.__('Date title font size:').'</label> '.
-form::field('date_title_s',7,7,$blowup_user['date_title_s']).'</p>'.
-
-'<p class="field"><label for="date_title_c">'.__('Date title color:').'</label> '.
-form::field('date_title_c',7,7,$blowup_user['date_title_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="post_title_f">'.__('Entry title font:').'</label> '.
-form::combo('post_title_f',blowupConfig::fontsList(),$blowup_user['post_title_f']).'</p>'.
-
-'<p class="field"><label for="post_title_s">'.__('Entry title font size:').'</label> '.
-form::field('post_title_s',7,7,$blowup_user['post_title_s']).'</p>'.
-
-'<p class="field"><label for="post_title_c">'.__('Entry title color:').'</label> '.
-form::field('post_title_c',7,7,$blowup_user['post_title_c'],'colorpicker').'</p>';
+    if ($blowup_user['top_image'] == 'custom' && $blowup_user['uploaded']) {
+        $preview_image = http::concatURL($core->blog->url, blowupConfig::imagesURL() . '/page-t.png');
+    } else {
+        $preview_image = dcPage::getPF('blowupConfig/alpha-img/page-t/' . $blowup_user['top_image'] . '.png');
+    }
+
+    echo
+    '<h5 class="pretty-title">' . __('Top image') . '</h5>' .
+    '<p class="field"><label for="top_image">' . __('Top image') . '</label> ' .
+    form::combo('top_image', $top_images, ($blowup_user['top_image'] ?: 'default')) . '</p>' .
+    '<p>' . __('Choose "Custom..." to upload your own image.') . '</p>' .
+
+    '<p id="uploader"><label for="upfile">' . __('Add your image:') . '</label> ' .
+    ' (' . sprintf(__('JPEG or PNG file, 800 pixels wide, maximum size %s'), files::size(DC_MAX_UPLOAD_SIZE)) . ')' .
+    '<input type="file" name="upfile" id="upfile" size="35" />' .
+    '</p>' .
+
+    '<h5>' . __('Preview') . '</h5>' .
+        '<div class="grid" style="width:800px;border:1px solid #ccc;">' .
+        '<img style="display:block;" src="' . $preview_image . '" alt="" id="image-preview" />' .
+        '</div>';
+}
+
+echo
+'<h4 class="border-top">' . __('Sidebar') . '</h4>' .
+'<p class="field"><label for="sidebar_position">' . __('Sidebar position:') . '</label> ' .
+form::combo('sidebar_position', array(__('right') => 'right', __('left') => 'left'), $blowup_user['sidebar_position']) . '</p>' .
+
+'<p class="field"><label for="sidebar_text_f">' . __('Sidebar text font:') . '</label> ' .
+form::combo('sidebar_text_f', blowupConfig::fontsList(), $blowup_user['sidebar_text_f']) . '</p>' .
+
+'<p class="field"><label for="sidebar_text_s">' . __('Sidebar text font size:') . '</label> ' .
+form::field('sidebar_text_s', 7, 7, $blowup_user['sidebar_text_s']) . '</p>' .
+
+'<p class="field"><label for="sidebar_text_c">' . __('Sidebar text color:') . '</label> ' .
+form::field('sidebar_text_c', 7, 7, $blowup_user['sidebar_text_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="sidebar_title_f">' . __('Sidebar titles font:') . '</label> ' .
+form::combo('sidebar_title_f', blowupConfig::fontsList(), $blowup_user['sidebar_title_f']) . '</p>' .
+
+'<p class="field"><label for="sidebar_title_s">' . __('Sidebar titles font size:') . '</label> ' .
+form::field('sidebar_title_s', 7, 7, $blowup_user['sidebar_title_s']) . '</p>' .
+
+'<p class="field"><label for="sidebar_title_c">' . __('Sidebar titles color:') . '</label> ' .
+form::field('sidebar_title_c', 7, 7, $blowup_user['sidebar_title_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="sidebar_title2_f">' . __('Sidebar 2nd level titles font:') . '</label> ' .
+form::combo('sidebar_title2_f', blowupConfig::fontsList(), $blowup_user['sidebar_title2_f']) . '</p>' .
+
+'<p class="field"><label for="sidebar_title2_s">' . __('Sidebar 2nd level titles font size:') . '</label> ' .
+form::field('sidebar_title2_s', 7, 7, $blowup_user['sidebar_title2_s']) . '</p>' .
+
+'<p class="field"><label for="sidebar_title2_c">' . __('Sidebar 2nd level titles color:') . '</label> ' .
+form::field('sidebar_title2_c', 7, 7, $blowup_user['sidebar_title2_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="sidebar_line_c">' . __('Sidebar lines color:') . '</label> ' .
+form::field('sidebar_line_c', 7, 7, $blowup_user['sidebar_line_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="sidebar_link_c">' . __('Sidebar links color:') . '</label> ' .
+form::field('sidebar_link_c', 7, 7, $blowup_user['sidebar_link_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="sidebar_link_v_c">' . __('Sidebar visited links color:') . '</label> ' .
+form::field('sidebar_link_v_c', 7, 7, $blowup_user['sidebar_link_v_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="sidebar_link_f_c">' . __('Sidebar focus links color:') . '</label> ' .
+form::field('sidebar_link_f_c', 7, 7, $blowup_user['sidebar_link_f_c'], 'colorpicker') . '</p>' .
+
+'<h4 class="border-top">' . __('Entries') . '</h4>' .
+'<p class="field"><label for="date_title_f">' . __('Date title font:') . '</label> ' .
+form::combo('date_title_f', blowupConfig::fontsList(), $blowup_user['date_title_f']) . '</p>' .
+
+'<p class="field"><label for="date_title_s">' . __('Date title font size:') . '</label> ' .
+form::field('date_title_s', 7, 7, $blowup_user['date_title_s']) . '</p>' .
+
+'<p class="field"><label for="date_title_c">' . __('Date title color:') . '</label> ' .
+form::field('date_title_c', 7, 7, $blowup_user['date_title_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="post_title_f">' . __('Entry title font:') . '</label> ' .
+form::combo('post_title_f', blowupConfig::fontsList(), $blowup_user['post_title_f']) . '</p>' .
+
+'<p class="field"><label for="post_title_s">' . __('Entry title font size:') . '</label> ' .
+form::field('post_title_s', 7, 7, $blowup_user['post_title_s']) . '</p>' .
+
+'<p class="field"><label for="post_title_c">' . __('Entry title color:') . '</label> ' .
+form::field('post_title_c', 7, 7, $blowup_user['post_title_c'], 'colorpicker') . '</p>';
 
 if ($can_write_images) {
-	echo
-	'<p class="field"><label for="post_comment_bg_c">'.__('Comment background color:').'</label> '.
-	form::field('post_comment_bg_c',7,7,$blowup_user['post_comment_bg_c'],'colorpicker').'</p>';
-}
-
-echo
-'<p class="field"><label for="post_comment_c">'.__('Comment text color:').'</label> '.
-form::field('post_comment_c',7,7,$blowup_user['post_comment_c'],'colorpicker').'</p>';
+    echo
+    '<p class="field"><label for="post_comment_bg_c">' . __('Comment background color:') . '</label> ' .
+    form::field('post_comment_bg_c', 7, 7, $blowup_user['post_comment_bg_c'], 'colorpicker') . '</p>';
+}
+
+echo
+'<p class="field"><label for="post_comment_c">' . __('Comment text color:') . '</label> ' .
+form::field('post_comment_c', 7, 7, $blowup_user['post_comment_c'], 'colorpicker') . '</p>';
 
 if ($can_write_images) {
-	echo
-	'<p class="field"><label for="post_commentmy_bg_c">'.__('My comment background color:').'</label> '.
-	form::field('post_commentmy_bg_c',7,7,$blowup_user['post_commentmy_bg_c'],'colorpicker').'</p>';
-}
-
-echo
-'<p class="field"><label for="post_commentmy_c">'.__('My comment text color:').'</label> '.
-form::field('post_commentmy_c',7,7,$blowup_user['post_commentmy_c'],'colorpicker').'</p>'.
-
-'<h4 class="border-top">'.__('Footer').'</h4>'.
-'<p class="field"><label for="footer_f">'.__('Footer font:').'</label> '.
-form::combo('footer_f',blowupConfig::fontsList(),$blowup_user['footer_f']).'</p>'.
-
-'<p class="field"><label for="footer_s">'.__('Footer font size:').'</label> '.
-form::field('footer_s',7,7,$blowup_user['footer_s']).'</p>'.
-
-'<p class="field"><label for="footer_c">'.__('Footer color:').'</label> '.
-form::field('footer_c',7,7,$blowup_user['footer_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="footer_l_c">'.__('Footer links color:').'</label> '.
-form::field('footer_l_c',7,7,$blowup_user['footer_l_c'],'colorpicker').'</p>'.
-
-'<p class="field"><label for="footer_bg_c">'.__('Footer background color:').'</label> '.
-form::field('footer_bg_c',7,7,$blowup_user['footer_bg_c'],'colorpicker').'</p>';
-
-echo
-'<h4 class="border-top">'.__('Additional CSS').'</h4>'.
-'<p><label for="extra_css">'.__('Any additional CSS styles (must be written using the CSS syntax):').'</label> '.
-form::textarea('extra_css',72,5,html::escapeHTML($blowup_user['extra_css']),'maximal','',false,'title="'.__('Additional CSS').'"').
-'</p>'.
-'</div>';
-
-
+    echo
+    '<p class="field"><label for="post_commentmy_bg_c">' . __('My comment background color:') . '</label> ' .
+    form::field('post_commentmy_bg_c', 7, 7, $blowup_user['post_commentmy_bg_c'], 'colorpicker') . '</p>';
+}
+
+echo
+'<p class="field"><label for="post_commentmy_c">' . __('My comment text color:') . '</label> ' .
+form::field('post_commentmy_c', 7, 7, $blowup_user['post_commentmy_c'], 'colorpicker') . '</p>' .
+
+'<h4 class="border-top">' . __('Footer') . '</h4>' .
+'<p class="field"><label for="footer_f">' . __('Footer font:') . '</label> ' .
+form::combo('footer_f', blowupConfig::fontsList(), $blowup_user['footer_f']) . '</p>' .
+
+'<p class="field"><label for="footer_s">' . __('Footer font size:') . '</label> ' .
+form::field('footer_s', 7, 7, $blowup_user['footer_s']) . '</p>' .
+
+'<p class="field"><label for="footer_c">' . __('Footer color:') . '</label> ' .
+form::field('footer_c', 7, 7, $blowup_user['footer_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="footer_l_c">' . __('Footer links color:') . '</label> ' .
+form::field('footer_l_c', 7, 7, $blowup_user['footer_l_c'], 'colorpicker') . '</p>' .
+
+'<p class="field"><label for="footer_bg_c">' . __('Footer background color:') . '</label> ' .
+form::field('footer_bg_c', 7, 7, $blowup_user['footer_bg_c'], 'colorpicker') . '</p>';
+
+echo
+'<h4 class="border-top">' . __('Additional CSS') . '</h4>' .
+'<p><label for="extra_css">' . __('Any additional CSS styles (must be written using the CSS syntax):') . '</label> ' .
+form::textarea('extra_css', 72, 5, html::escapeHTML($blowup_user['extra_css']), 'maximal', '', false, 'title="' . __('Additional CSS') . '"') .
+    '</p>' .
+    '</div>';
 
 // Import / Export configuration
-$tmp_array = array();
-$tmp_exclude = array('uploaded','top_height');
+$tmp_array   = array();
+$tmp_exclude = array('uploaded', 'top_height');
 if ($blowup_user['top_image'] == 'custom') {
-	$tmp_exclude[] = 'top_image';
+    $tmp_exclude[] = 'top_image';
 }
 foreach ($blowup_user as $k => $v) {
-	if (!in_array($k,$tmp_exclude)) {
-		$tmp_array[] = $k.':'.'"'.$v.'"';
-	}
-}
-echo
-'<div class="fieldset">'.
-'<h3 id="bu_export">'.__('Configuration import / export').'</h3>'.
-'<div id="bu_export_content">'.
-'<p>'.__('You can share your configuration using the following code. To apply a configuration, paste the code, click on "Apply code" and save.').'</p>'.
-'<p>'.form::textarea('export_code',72,5,implode('; ',$tmp_array),'maximal','',false,'title="'.__('Copy this code:').'"').'</p>'.
-'</div>'.
-'</div>';
-
-echo
-'<p class="clear"><input type="submit" value="'.__('Save').'" />'.
-$core->formNonce().'</p>'.
-'</form>';
+    if (!in_array($k, $tmp_exclude)) {
+        $tmp_array[] = $k . ':' . '"' . $v . '"';
+    }
+}
+echo
+'<div class="fieldset">' .
+'<h3 id="bu_export">' . __('Configuration import / export') . '</h3>' .
+'<div id="bu_export_content">' .
+'<p>' . __('You can share your configuration using the following code. To apply a configuration, paste the code, click on "Apply code" and save.') . '</p>' .
+'<p>' . form::textarea('export_code', 72, 5, implode('; ', $tmp_array), 'maximal', '', false, 'title="' . __('Copy this code:') . '"') . '</p>' .
+    '</div>' .
+    '</div>';
+
+echo
+'<p class="clear"><input type="submit" value="' . __('Save') . '" />' .
+$core->formNonce() . '</p>' .
+    '</form>';
 
 dcPage::helpBlock('blowupConfig');
Index: plugins/dcLegacyEditor/js/_post_editor.js
===================================================================
--- plugins/dcLegacyEditor/js/_post_editor.js	(revision 3666)
+++ plugins/dcLegacyEditor/js/_post_editor.js	(revision 3709)
@@ -1,69 +1,76 @@
+/*global $, dotclear, jsToolBar */
+'use strict';
+
 $(function() {
-	if ($('#edit-entry').length == 0) { return; }
-	if (dotclear.legacy_editor_context === undefined ||
-		dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context] === undefined) {
-		return;
-	}
+  if ($('#edit-entry').length == 0) {
+    return;
+  }
+  if (dotclear.legacy_editor_context === undefined ||
+    dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context] === undefined) {
+    return;
+  }
 
-	if ((dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context].indexOf('#post_content') !== -1) &&
-		(dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context].indexOf('#post_excerpt') !== -1)) {
-		// Get document format and prepare toolbars
-		var formatField = $('#post_format').get(0);
-		var last_post_format = $(formatField).val();
-		$(formatField).change(function() {
-			if (this.value != 'dcLegacyEditor') { return; }
+  if ((dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context].indexOf('#post_content') !== -1) &&
+    (dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context].indexOf('#post_excerpt') !== -1)) {
+    // Get document format and prepare toolbars
+    var formatField = $('#post_format').get(0);
+    var last_post_format = $(formatField).val();
+    $(formatField).change(function() {
+      if (this.value != 'dcLegacyEditor') {
+        return;
+      }
 
-			var post_format = this.value;
+      var post_format = this.value;
 
-			// Confirm post format change
-			if (window.confirm(dotclear.msg.confirm_change_post_format_noconvert)) {
-				excerptTb.switchMode(post_format);
-				contentTb.switchMode(post_format);
-				last_post_format = $(this).val();
-			} else {
-				// Restore last format if change cancelled
-				$(this).val(last_post_format);
-			}
+      // Confirm post format change
+      if (window.confirm(dotclear.msg.confirm_change_post_format_noconvert)) {
+        excerptTb.switchMode(post_format);
+        contentTb.switchMode(post_format);
+        last_post_format = $(this).val();
+      } else {
+        // Restore last format if change cancelled
+        $(this).val(last_post_format);
+      }
 
-			$('.format_control > *').addClass('hide');
-			$('.format_control:not(.control_no_' + post_format + ') > *').removeClass('hide');
-		});
+      $('.format_control > *').addClass('hide');
+      $('.format_control:not(.control_no_' + post_format + ') > *').removeClass('hide');
+    });
 
-		var excerptTb = new jsToolBar(document.getElementById('post_excerpt'));
-		var contentTb = new jsToolBar(document.getElementById('post_content'));
-		excerptTb.context = contentTb.context = 'post';
+    var excerptTb = new jsToolBar(document.getElementById('post_excerpt'));
+    var contentTb = new jsToolBar(document.getElementById('post_content'));
+    excerptTb.context = contentTb.context = 'post';
 
-		$('.format_control > *').addClass('hide');
-		$('.format_control:not(.control_no_' + last_post_format + ') > *').removeClass('hide');
-	}
+    $('.format_control > *').addClass('hide');
+    $('.format_control:not(.control_no_' + last_post_format + ') > *').removeClass('hide');
+  }
 
-	if (dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context].indexOf('#comment_content') !== -1) {
-		if ($('#comment_content').length > 0) {
-			var commentTb = new jsToolBar(document.getElementById('comment_content'));
-			commentTb.draw('xhtml');
-		}
-	}
+  if (dotclear.legacy_editor_tags_context[dotclear.legacy_editor_context].indexOf('#comment_content') !== -1) {
+    if ($('#comment_content').length > 0) {
+      var commentTb = new jsToolBar(document.getElementById('comment_content'));
+      commentTb.draw('xhtml');
+    }
+  }
 
-	$('#edit-entry').onetabload(function() {
+  $('#edit-entry').onetabload(function() {
 
-		// Remove required attribut from #post_content in XHTML mode as textarea is not more focusable
-		if (formatField.value == 'xhtml') {
-			$('#post_content').removeAttr('required');
-		}
+    // Remove required attribut from #post_content in XHTML mode as textarea is not more focusable
+    if (formatField.value == 'xhtml') {
+      $('#post_content').removeAttr('required');
+    }
 
-		// Load toolbars
-		if (contentTb !== undefined && excerptTb !== undefined) {
-			contentTb.switchMode(formatField.value);
-			excerptTb.switchMode(formatField.value);
-		}
+    // Load toolbars
+    if (contentTb !== undefined && excerptTb !== undefined) {
+      contentTb.switchMode(formatField.value);
+      excerptTb.switchMode(formatField.value);
+    }
 
-		// Check unsaved changes before XHTML conversion
-		var excerpt = $('#post_excerpt').val();
-		var content = $('#post_content').val();
-		$('#convert-xhtml').click(function() {
-			if (excerpt != $('#post_excerpt').val() || content != $('#post_content').val()) {
-				return window.confirm(dotclear.msg.confirm_change_post_format);
-			}
-		});
-	});
+    // Check unsaved changes before XHTML conversion
+    var excerpt = $('#post_excerpt').val();
+    var content = $('#post_content').val();
+    $('#convert-xhtml').click(function() {
+      if (excerpt != $('#post_excerpt').val() || content != $('#post_content').val()) {
+        return window.confirm(dotclear.msg.confirm_change_post_format);
+      }
+    });
+  });
 });
